E UROPEAN S YNCHROTRON R ADIATION F ACILITY ##### INSTALLATION EUROPEENNE DE RAYONNEMENT SYNCHROTRON |

Main Page Namespace List Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TangoTest::TangoTestClass Class Reference

`#include <TangoTestClass.h>`

List of all members.

## Public Methods
| ~TangoTestClass ()
## Static Public Methods
TangoTestClass * | init (const char *)
TangoTestClass * | instance ()
## Protected Methods
| TangoTestClass (string &)
void | command_factory ()
void | attribute_factory (vector< Tango::Attr *> &)
void | write_class_property ()
## Static Protected Attributes
TangoTestClass * | _instance = NULL

## Constructor & Destructor Documentation

TangoTest::TangoTestClass::~TangoTestClass | ( |  | ) |

TangoTest::TangoTestClass::TangoTestClass | ( | string & | s | ) | `[protected]`

## Member Function Documentation

void TangoTest::TangoTestClass::attribute_factory | ( | vector< Tango::Attr *> & | att_list | ) | `[protected]`

void TangoTest::TangoTestClass::command_factory | ( |  | ) | `[protected]`

TangoTestClass * TangoTest::TangoTestClass::init | ( | const char * | name | ) | `[static]`

TangoTestClass * TangoTest::TangoTestClass::instance | ( |  | ) | `[static]`

void TangoTest::TangoTestClass::write_class_property | ( |  | ) | `[protected]`

## Member Data Documentation

TangoTestClass * TangoTest::TangoTestClass::_instance = NULL`[static, protected]`

The documentation for this class was generated from the following files:

- TangoTestClass.h
- TangoTestClass.cpp

Tango Device Server User's Guide

### (c) ESRF - Software Engineering Group